Skip to main content
POST
Activate Points

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Details required to activate points

profileId
string<uuid>
required

Profile ID of the member. It is generated in the response of the Enroll Member endpoint - POST /v1/members.

Example:

"f90a1da5-c072-48b7-a9ea-eb35c5dd506b"

startDate
string<date-time> | null

Beginning of the date range, in UTC format

Example:

"2020-02-08 00:00:00"

endDate
string<date-time> | null

Ending of the date range, in UTC format

Example:

"2020-02-08 00:00:00"

Response

OK

Response Details

message
string

Message corresponding to the call

Minimum string length: 1
Example:

"Member points activated"

errors
Errors · object

A dictionary of lists with different number of errors or exceptions.

Example:
data
Data · object

Returns data in the form of a list of dictionaries or null

Example:

null

status
integer<int32>

Status code of the call

Example:

200